FreeBSD

From sigrok
Revision as of 02:19, 3 February 2011 by Uwe Hermann (talk | contribs) (FreeBSD build instructions.)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

This page describes how to build/install sigrok on FreeBSD.

Distribution packages

There are no FreeBSD packages/ports yet, contributors welcome!

Building from source

Requirements

  • git (for cloning the source code repository)
  • gcc, g++, make, ...
  • autoconf, automake, libtool, pkg-config
  • libglib >= 2.0
  • libusb-1.0 (this is an integral part of FreeBSD, not an extra package/library, though)
  • libzip >= 0.8
  • libftdi (optional, only required for some devices)
  • Python >= 2.5 (optional, only required for protocol decoders)
  • Qt + Qt Creator >= 4.5 (optional, only required for building/editing the GUI)

Installing the build-dependencies

$ pkg_add -r git autoconf262 automake110 libtool pkg-config glib20 libzip libftdi qt4

Building

$ git clone git://sigrok.git.sourceforge.net/gitroot/sigrok/sigrok
$ cd sigrok
$ ./autogen.sh
$ ./configure
$ make
$ make install

Then, for building the GUI (Note: The GUI is not yet usable!):

$ cd gui
$ qmake-qt4
$ make